aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/zpool-config/ram0-raid0.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zpool-config/ram0-raid0.sh')
-rw-r--r--scripts/zpool-config/ram0-raid0.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/zpool-config/ram0-raid0.sh b/scripts/zpool-config/ram0-raid0.sh
new file mode 100644
index 000000000..b1939bfaa
--- /dev/null
+++ b/scripts/zpool-config/ram0-raid0.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# Single ram disk /dev/ram0 Raid-0 Configuration
+#
+
+DEVICES="/dev/ram0"
+
+zpool_create() {
+ msg ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${DEVICES}
+ ${ZPOOL} create ${FORCE_FLAG} ${ZPOOL_NAME} ${DEVICES} || exit 1
+}
+
+zpool_destroy() {
+ msg ${ZPOOL} destroy ${ZPOOL_NAME}
+ ${ZPOOL} destroy ${ZPOOL_NAME} || exit 1
+}